
## 客户端 `Client`前端

### 硬件交互前端服务

#### 介绍

硬件交互前端服务是基于`WebSocket`协议的服务，用于与硬件设备进行通信。

### 环境准备

#### (1) 安装依赖项：

```
sudo apt-get update -y 
sudo apt-get upgrade -y 
sudo apt-get install -y cmake g++ gcc
sudo apt-get install -y git swig python3-pip python3-dev portaudio19-dev libsndfile1 python3-setuptools
```

#### (2) 克隆项目到本地并安装依赖：

```
// 克隆项目到本地 https or ssh
git clone http://43.132.157.186:3000/gaohz/TakwayBoard.git
cd TakwayBoard
sudo pip install -v -e .
```

#### (3) 安装板载端环境依赖：

```
pip install -r requirements/board_requirements.txt
```

- WiringPi：用于控制GPIO

```
cp -r /usr/src/wiringOP-Python/ ./
cd wiringOP-Python
python3 generate-bindings.py > bindings.i
sudo python3 setup.py install
```

#### (4) 下载相关模型文件:

- [Picovoice：](https://picovoice.ai/docs/quick-start/porcupine-python/)边缘端关键词唤醒模型

```
目前使用的是`可莉可莉_zh_raspberry-pi_v3_0_0`版本，可以点击网站自行设置替换关键词模型。
```

#### (5) 启动服务:

```
sudo python3 ws_client.py
```
